op(
id(1),
name(descrever-informando),
header(descrever(X)),
effect(know_about(r,X)),
constraints(nil),
n(inform(r,X)),
s(nil)
).

op(
id(2),
name(relatar-informando),
header(relatar(X)),
effect(know(r,X)),
constraints(nil),
n(inform(r,X)),
s(nil)
).

op(
id(3),
name(discutir-informando),
header(discutir(X)),
effect(bel(r,X)),
constraints(nil),
n(inform(r,X)),
s(nil)
).

op(
id(4),
name(identificar-por-purpose1),
header(know(r,purpose1(X,Y))),
effect(know(r,purpose1(X,Y))),
constraints([isa(X,Y,enable),sp(Y,X),dom(X,Y)]),
n([relatar(Y),cohererel(purpose1(X,Y))]),
s(nil)
).

op(
id(5),
name(identificar-por-nonvolres),
header(know(r,nonvolres(X,Y))),
effect(know(r,nonvolres(X,Y))),
constraints([isa(Y,X,cause),sp(X,Y),dom(Y,X),gen(X,Y)]),
n([relatar(Y),cohererel(nonvolres(X,Y))]),
s(nil)
).

op(
id(6),
name(identificar-por-nonvolcause),
header(know(r,nonvolcause(X,Y))),
effect(know(r,nonvolcause(X,Y))),
constraints([isa(X,Y,cause),sp(Y,X),dom(X,Y),gen(Y,X)]),
n([relatar(Y),cohererel(nonvolcause(X,Y))]),
s(nil)
).

op(
id(7),
name(identificar-por-contrast),
header(know(r,contrast(X,Y))),
effect(know(r,contrast(X,Y))),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n([relatar(Y),cohererel(contrast(X,Y))]),
s(nil)
).

op(
id(8),
name(identificar-por-list),
header(know(r,list(X,Y))),
effect(know(r,list(X,Y))),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n([relatar(Y),cohererel(list(X,Y))]),
s(nil)
).

op(
id(9),
name(identificar-por-elaborate),
header(know(r,elaborate(X,Y))),
effect(know(r,elaborate(X,Y))),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n([relatar(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(10),
name(identificar-por-elaborate),
header(know(r,elaborate(X,Y))),
effect(know(r,elaborate(X,Y))),
constraints([isa(X,Y,detail),sup(Y,X)]),
n([relatar(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(11),
name(identificar-por-elaborate),
header(know(r,elaborate(X,Y))),
effect(know(r,elaborate(X,Y))),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n([relatar(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(12),
name(identificar-por-background),
header(know(r,background(X,Y))),
effect(know(r,background(X,Y))),
constraints([isa(X,Y,backsem),not sp(X,Y),sup(Y,X)]),
n([relatar(Y),cohererel(background(X,Y))]),
s(nil)
).

op(
id(13),
name(conhecer-por-purpose2),
header(know_about(r,purpose2(X,Y))),
effect(know_about(r,purpose2(X,Y))),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n([descrever(Y),cohererel(purpose2(X,Y))]),
s(nil)
).

op(
id(14),
name(conhecer-por-contrast),
header(know_about(r,contrast(X,Y))),
effect(know_about(r,contrast(X,Y))),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n([descrever(Y),cohererel(contrast(X,Y))]),
s(nil)
).

op(
id(15),
name(conhecer-por-list),
header(know_about(r,list(X,Y))),
effect(know_about(r,list(X,Y))),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n([descrever(Y),cohererel(list(X,Y))]),
s(nil)
).

op(
id(16),
name(conhecer-por-elaborate),
header(know_about(r,elaborate(X,Y))),
effect(know_about(r,elaborate(X,Y))),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n([descrever(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(17),
name(conhecer-por-elaborate),
header(know_about(r,elaborate(X,Y))),
effect(know_about(r,elaborate(X,Y))),
constraints([isa(X,Y,detail),sup(Y,X)]),
n([descrever(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(18),
name(conhecer-por-elaborate),
header(know_about(r,elaborate(X,Y))),
effect(know_about(r,elaborate(X,Y))),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n([descrever(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(19),
name(conhecer-por-sequence),
header(know_about(r,sequence(X,Y))),
effect(know_about(r,sequence(X,Y))),
constraints([isa(X,Y,sequence),sp(X,Y)]),
n([descrever(Y),cohererel(sequence(X,Y))]),
s(nil)
).

op(
id(20),
name(acreditar-por-means),
header(bel(r,means(X,Y))),
effect(bel(r,means(X,Y))),
constraints([isa(Y,X,enable),sp(X,Y),dom(Y,X)]),
n([discutir(Y),cohererel(means(X,Y))]),
s(nil)
).

op(
id(21),
name(acreditar-por-justify1),
header(bel(r,justify1(X,Y))),
effect(bel(r,justify1(X,Y))),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n([discutir(Y),cohererel(justify1(X,Y))]),
s(nil)
).

op(
id(22),
name(acreditar-por-evidence),
header(bel(r,evidence(X,Y))),
effect(bel(r,evidence(X,Y))),
constraints([isa(X,Y,proof),sp(Y,X),dom(X,Y),sup(Y,X)]),
n([discutir(Y),cohererel(evidence(X,Y))]),
s(nil)
).

op(
id(23),
name(acreditar-por-contrast),
header(bel(r,contrast(X,Y))),
effect(bel(r,contrast(X,Y))),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n([discutir(Y),cohererel(contrast(X,Y))]),
s(nil)
).

op(
id(24),
name(acreditar-por-list),
header(bel(r,list(X,Y))),
effect(bel(r,list(X,Y))),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n([discutir(Y),cohererel(list(X,Y))]),
s(nil)
).

op(
id(25),
name(acreditar-por-elaborate),
header(bel(r,elaborate(X,Y))),
effect(bel(r,elaborate(X,Y))),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n([discutir(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(26),
name(acreditar-por-elaborate),
header(bel(r,elaborate(X,Y))),
effect(bel(r,elaborate(X,Y))),
constraints([isa(X,Y,detail),sup(Y,X)]),
n([discutir(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(27),
name(acreditar-por-elaborate),
header(bel(r,elaborate(X,Y))),
effect(bel(r,elaborate(X,Y))),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n([discutir(Y),cohererel(elaborate(X,Y))]),
s(nil)
).

op(
id(28),
name(acreditar-por-evaluate),
header(bel(r,evaluate(X,Y))),
effect(bel(r,evaluate(X,Y))),
constraints([isa(X,Y,evalsem),dom(X,Y)]),
n([discutir(Y),cohererel(evaluate(X,Y))]),
s(nil)
).

op(
id(29),
name(acreditar-por-explain),
header(bel(r,explain(X,Y))),
effect(bel(r,explain(X,Y))),
constraints([isa(X,Y,reason),gen(Y,X)]),
n([discutir(Y),cohererel(explain(X,Y))]),
s(nil)
).

op(
id(30),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n(descrever(X)),
s(know_about(r,purpose2(X,Y)))
).

op(
id(31),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n(descrever(X)),
s(know_about(r,contrast(X,Y)))
).

op(
id(32),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n(descrever(X)),
s(know_about(r,list(X,Y)))
).

op(
id(33),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n(descrever(X)),
s(know_about(r,elaborate(X,Y)))
).

op(
id(34),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(X,Y,detail),sup(Y,X)]),
n(descrever(X)),
s(know_about(r,elaborate(X,Y)))
).

op(
id(35),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n(descrever(X)),
s(know_about(r,elaborate(X,Y)))
).

op(
id(36),
name(descrever-por-know_about),
header(descrever(X)),
effect(know_about(r,X)),
constraints([isa(X,Y,sequence),sp(X,Y)]),
n(descrever(X)),
s(know_about(r,sequence(X,Y)))
).

op(
id(37),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,enable),sp(Y,X),dom(X,Y)]),
n(relatar(X)),
s(know(r,purpose1(X,Y)))
).

op(
id(38),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(Y,X,cause),sp(X,Y),dom(Y,X),gen(X,Y)]),
n(relatar(X)),
s(know(r,nonvolres(X,Y)))
).

op(
id(39),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,cause),sp(Y,X),dom(X,Y),gen(Y,X)]),
n(relatar(X)),
s(know(r,nonvolcause(X,Y)))
).

op(
id(40),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n(relatar(X)),
s(know(r,contrast(X,Y)))
).

op(
id(41),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n(relatar(X)),
s(know(r,list(X,Y)))
).

op(
id(42),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n(relatar(X)),
s(know(r,elaborate(X,Y)))
).

op(
id(43),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,detail),sup(Y,X)]),
n(relatar(X)),
s(know(r,elaborate(X,Y)))
).

op(
id(44),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n(relatar(X)),
s(know(r,elaborate(X,Y)))
).

op(
id(45),
name(relatar-por-know),
header(relatar(X)),
effect(know(r,X)),
constraints([isa(X,Y,backsem),not sp(X,Y),sup(Y,X)]),
n(relatar(X)),
s(know(r,background(X,Y)))
).

op(
id(46),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(Y,X,enable),sp(X,Y),dom(Y,X)]),
n(discutir(X)),
s(bel(r,means(X,Y)))
).

op(
id(47),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(Y,X,rationale),sup(Y,X),dom(X,Y),not sp(X,Y)]),
n(discutir(X)),
s(bel(r,justify1(X,Y)))
).

op(
id(48),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,proof),sp(Y,X),dom(X,Y),sup(Y,X)]),
n(discutir(X)),
s(bel(r,evidence(X,Y)))
).

op(
id(49),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,difsem),symm(X,Y)]),
n(discutir(X)),
s(bel(r,contrast(X,Y)))
).

op(
id(50),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,simsem),symm(X,Y)]),
n(discutir(X)),
s(bel(r,list(X,Y)))
).

op(
id(51),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,attribute),sup(Y,X)]),
n(discutir(X)),
s(bel(r,elaborate(X,Y)))
).

op(
id(52),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,detail),sup(Y,X)]),
n(discutir(X)),
s(bel(r,elaborate(X,Y)))
).

op(
id(53),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,exemplify),sup(Y,X)]),
n(discutir(X)),
s(bel(r,elaborate(X,Y)))
).

op(
id(54),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,evalsem),dom(X,Y)]),
n(discutir(X)),
s(bel(r,evaluate(X,Y)))
).

op(
id(55),
name(discutir-por-bel),
header(discutir(X)),
effect(bel(r,X)),
constraints([isa(X,Y,reason),gen(Y,X)]),
n(discutir(X)),
s(bel(r,explain(X,Y)))
).

op(
id(56),
name(descrever-relatando),
header(descrever(X)),
effect(know_about(r,X)),
constraints(nil),
n(relatar(X)),
s(nil)
).

op(
id(57),
name(descrever-discutindo),
header(descrever(X)),
effect(know_about(r,X)),
constraints(nil),
n(discutir(X)),
s(nil)
).

op(
id(58),
name(relatar-descrevendo),
header(relatar(X)),
effect(know(r,X)),
constraints(nil),
n(descrever(X)),
s(nil)
).

op(
id(59),
name(relatar-discutindo),
header(relatar(X)),
effect(know(r,X)),
constraints(nil),
n(discutir(X)),
s(nil)
).

op(
id(60),
name(discutir-descrevendo),
header(discutir(X)),
effect(bel(r,X)),
constraints(nil),
n(descrever(X)),
s(nil)
).

op(
id(61),
name(discutir-relatando),
header(discutir(X)),
effect(bel(r,X)),
constraints(nil),
n(relatar(X)),
s(nil)
).
